Skip to main content
GET
/
api
/
v1
/
payments
/
stripe
/
projects
/
{project_id}
/
subscriptions
List Project Subscriptions
curl --request GET \
  --url https://api.devkit4ai.com/api/v1/payments/stripe/projects/{project_id}/subscriptions \
  --header 'Authorization: Bearer <token>'
{
  "subscriptions": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "is_test_mode": true,
      "subscription_id": "<string>",
      "status": "<string>",
      "quantity": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "customer_id": "<string>",
      "plan_name": "<string>",
      "current_period_start": "2023-11-07T05:31:56Z",
      "current_period_end": "2023-11-07T05:31:56Z",
      "cancel_at": "2023-11-07T05:31:56Z",
      "cancelled_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "page": 123,
  "page_size": 123
}

Documentation Index

Fetch the complete documentation index at: https://devkit4ai.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

project_id
string<uuid>
required

Query Parameters

test_mode
boolean
default:true

Filter by test mode

page
integer
default:1
Required range: x >= 1
page_size
integer
default:50
Required range: 1 <= x <= 100

Response

Successful Response

Paginated list of Stripe subscriptions.

subscriptions
StripeSubscriptionResponse · object[]
required
total
integer
required
page
integer
required
page_size
integer
required